Cannot upgrade the 9XD from 2.0 to 2.1

Post Reply
Richard
Posts: 132
Joined: Sat Mar 29, 2014 10:44 pm
Country: United States
Location: Coral Springs, FL

Cannot upgrade the 9XD from 2.0 to 2.1

Post by Richard » Thu Dec 28, 2017 4:45 pm

The communication between TX and PC looks ok. I backed up the SD, as well as the EEPROM and radio models and settings in Companion 2.0. However, when I try to upload the 2.1 FW from Companion 2.1, I get the attached screen.
I can see the STM Device in DFU mode in the USB controllers list. I am running Windows 10.
Please, help me.
Attachments
Clipboard01.jpg
Richard

User avatar
Kilrah
Posts: 9453
Joined: Sat Feb 18, 2012 6:56 pm
Country: Switzerland

Re: Cannot upgrade the 9XD from 2.0 to 2.1

Post by Kilrah » Thu Dec 28, 2017 5:08 pm

"STM Device in DFU mode" is precisely not the correct driver.
Upgrade in bootloader mode instead of messing with that.

Richard
Posts: 132
Joined: Sat Mar 29, 2014 10:44 pm
Country: United States
Location: Coral Springs, FL

Re: Cannot upgrade the 9XD from 2.0 to 2.1

Post by Richard » Thu Dec 28, 2017 5:35 pm

Fine, Kilrah, and how do I do that? Can you give me a link where I can follow a procedure? I watched the video https://www.youtube.com/watch?v=fqfRfnwPbJE which follows the steps of the link https://www.rcgroups.com/forums/showthr ... enTX-2-1-X.

It is obvious that I am missing something. I am lost here. Please, give me a lead to follow.
Thank you
Richard

Richard
Posts: 132
Joined: Sat Mar 29, 2014 10:44 pm
Country: United States
Location: Coral Springs, FL

Re: Cannot upgrade the 9XD from 2.0 to 2.1

Post by Richard » Thu Dec 28, 2017 6:13 pm

Thank you. The video https://www.youtube.com/watch?v=DsbaftCHpHs shows the right way to do that.
Richard

Post Reply

Return to “openTx for FrSky radios”